/**
 * Copyright (c) 2007-2015, Kaazing Corporation. All rights reserved.
 */

package com.kaazing.gateway.client;

import com.google.gwt.core.client.JavaScriptObject;
import com.google.gwt.dom.client.NativeEvent;

final public class NativeMessageEvent extends NativeEvent {

    protected NativeMessageEvent() {}
    protected native String getDataType() /*-{ return typeof(this.data); }-*/;
    protected native JavaScriptObject getData()   /*-{ return this.data; }-*/;
    protected native String getDataAsString()     /*-{ return this.data; }-*/;
    protected native ByteBuffer getDataAsByteBuffer()   /*-{
        if (this.data.byteLength) {
            var u = new Uint8Array(this.data);
            var bytes = [];
            for (var i=0; i<u.byteLength; i++) {
                bytes.push(u[i]); 
            }
            return new $wnd.ByteBuffer(bytes);
        }else {
           return this.data;
        } 
    }-*/;
    protected native String getOrigin()           /*-{ return this.origin; }-*/;
    protected native String getLastEventId()      /*-{ return this.lastEventId; }-*/;
    protected native WindowProxy getSource()      /*-{ return this.source; }-*/;
    protected native MessagePortArray getPorts()  /*-{ return this.ports; }-*/;
}
